<template>
  <v-dialog v-model="dialogDelete" persistent max-width="600px">
    <v-card>
      <v-card-title>
        <span class="text-h5">Nhắc nhở</span>
      </v-card-title>
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <label
                >Bạn có muốn xoá sản phẩm {{ productDeleted.productName }} không?</label
              >
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue darken-1" text @click="onClose"> Hủy </v-btn>
        <v-btn color="blue darken-1" text @click="onDelete"> OK </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
import productService from "../../../services/productService";

export default {
  props: {
    productDeleted: {
      type: Object,
      required: true,
      default: {},
    },
    dialogDelete: {
      type: Boolean,
      required: true,
      default: false,
    },
  },
  data() {
    return {};
  },
  methods: {
    onDelete() {
      this.$store.commit("loading", true);
      productService
        .remove(this.productDeleted.productId)
        .then((response) => {
          this.$store.commit("loading", false);
          this.$store.commit("showMessageSuccess", "Đã xóa thành công");
          this.onClose();
          this.$emit("onReloadList");
        })
        .catch((error) => {
          let msgError = "";
          if (error.response.status === 422) {
            const dataErrors = error.response.data.errors;
            let errors = [];
            for (const [key, value] of Object.entries(dataErrors)) {
              errors.push(value);
            }
            msgError = errors.toString();
          } else {
            msgError = error.response.data.message;
          }
          this.$store.commit("loading", false);
          this.$store.commit("showMessageError", msgError);
        });
    },
    onClose() {
      this.$emit("onChangeDialogDelete", false);
    },
  },
  created() {},
};
</script>
